summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-02-15 07:52:38 +0100
committerHans de Graaff <graaff@gentoo.org>2019-02-15 11:16:19 +0100
commit9a9df04a1032e7b411f63897d35a946fd625d686 (patch)
treed81629e856b6b91ccca6e48a3e5c68b7f75e1b9d /dev-ruby/activeldap
parentdev-ruby/activeldap: cleanup (diff)
downloadgentoo-9a9df04a1032e7b411f63897d35a946fd625d686.tar.gz
gentoo-9a9df04a1032e7b411f63897d35a946fd625d686.tar.bz2
gentoo-9a9df04a1032e7b411f63897d35a946fd625d686.zip
dev-ruby/activeldap: add 5.2.3
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'dev-ruby/activeldap')
-rw-r--r--dev-ruby/activeldap/Manifest1
-rw-r--r--dev-ruby/activeldap/activeldap-5.2.3.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/dev-ruby/activeldap/Manifest b/dev-ruby/activeldap/Manifest
index e0c91a3191e..687cc94ef5d 100644
--- a/dev-ruby/activeldap/Manifest
+++ b/dev-ruby/activeldap/Manifest
@@ -1,2 +1,3 @@
DIST activeldap-4.0.6.gem 225280 BLAKE2B 0f03ef95f3d0600d2661eab048c8dda3fbabe519add67f7785895e346d835d1e0396270f829f16a982f12863c80378be2f4f7ff7cf84016007b005b1914cec15 SHA512 03053e3798b557c73c3a0918b72d1d3c2cada4da3475913ef17a6f9f2f1ac1e102052459ef1a6d8c25ce41382b64c1a3097ccba1c768497a33a3a971b9778d3b
DIST activeldap-5.2.2.gem 225280 BLAKE2B a31f77f1e93e5130f6d1a026ea804fca192273ac66c7f04218a5465c79f25934d7a289bcd66e5e7910ef679f9e043f4c22c14607b2f44bc93039e90f3082e798 SHA512 303f26289848b0580a827aa3ea8446ff38dc0604eac7d976f48c7c751c7fe31f918af17a5d530943711dfbf2808e9712ab71ff5cc8c657f78ba60d1c6e3d6072
+DIST activeldap-5.2.3.gem 226304 BLAKE2B 5ac747f9c854071da941bd7dc3bbf151eb9f6b190a725b0daca9a9c76b1aafa9fcb609c16098924c3f9bda6f25d9968c4a715a0f2994333c233a950f809cf862 SHA512 30fb4b70975e5a911d736ce8579f3ff0c13d326499660a6fdd25bc4e4d20ad615c038c0b50bdf1722775f6313e9c132a004c86fdb9d3a356f78171f78c5d171b
diff --git a/dev-ruby/activeldap/activeldap-5.2.3.ebuild b/dev-ruby/activeldap/activeldap-5.2.3.ebuild
new file mode 100644
index 00000000000..9b763decfa5
--- /dev/null
+++ b/dev-ruby/activeldap/activeldap-5.2.3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.textile TODO doc/text/*"
+RUBY_FAKEGEM_EXTRAINSTALL="po"
+
+inherit ruby-fakegem
+
+MY_P="${P/ruby-/}"
+DESCRIPTION="ActiveLDAP provides an activerecord inspired object oriented interface to LDAP"
+HOMEPAGE="https://github.com/activeldap/activeldap"
+
+LICENSE="GPL-2"
+SLOT="5"
+KEYWORDS="~amd64"
+IUSE=""
+
+# Most tests require a live LDAP server to run.
+RESTRICT="test"
+
+ruby_add_rdepend "
+ >dev-ruby/activemodel-4.0.0:*
+ dev-ruby/builder
+ dev-ruby/locale
+ dev-ruby/ruby-gettext
+ dev-ruby/gettext_i18n_rails
+ || ( dev-ruby/ruby-net-ldap >=dev-ruby/ruby-ldap-0.8.2 )"
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc doc/text/*
+
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+}